Skip to main content
POST
/
v1
/
provider
/
stake
/
{amount}
Stake
curl --request POST \
  --url https://api.example.com/v1/provider/stake/{amount}
{
  "amount": "2000000000000000000",
  "bls_public_keys": [
    "90000cddeec66a80e00b0ccbb62f12298073603f5209e812abbac7e870482e488dd1bbe533a9d4497ba8b756e1e82b",
    "80000cddeec66a80e00b0ccbb62f12298073603f5209e812abbac7e870482e488dd1bbe533a9d4497ba8b756e1e82b"
  ]
}

Path Parameters

amount
string
required

Amount of ETH to stake in the provider registry.

Query Parameters

blsPublicKeys
string[]

BLS public keys of the provider.

Pattern: ^(0x)?[a-fA-F0-9]{96}$
blsSignatures
string[]

BLS signatures corresponding to the BLS public keys.

Pattern: ^(0x)?[a-fA-F0-9]{192}$

Response

A successful response.

Get staked amount for provider in the provider registry.

amount
string
blsPublicKeys
string[]